Subject: bug#65786: 13.2; Indentation problem when left brace is closed with null

From: James Tappin <[email-masked]>
Date: Fri, 8 Sep 2023 13:33:49 +0100

Interesting. I can confirm that I do get correct indentation behaviour in
that case.

I guess that means that there is something else in my .emacs that is not
playing nicely with AUCTeX, my first guess would be some special handling
of braces needed for some other mode, but there is no "{" or "}" in the
file.

Are there any known other modes that can mess up AUCTeX?

James

On Fri, 8 Sept 2023 at 12:53, Arash Esbati <[email-masked]> wrote:

> James Tappin <[email-masked]> writes:
>
> > AUCTeX is installed from the Arch User Repository, and is activated in
> > my `.emacs` via:
> >
> >  ;; AUCTEX
> >
> >  (load "auctex.el" nil t t)
> >  (autoload 'bibtex-mode "bibtex" "Major mode for editing BibTeX files"
> t)
> >
> > This could well be a very outdated way of doing things, I think some
> > parts of my .emacs go back to the early 1990's.
>
> No, you're still up-to-date.  When you do 'emacs -Q', you have to eval
> something like this in scratch in order to activate AUCTeX:
>
>  (load "/path/to/the/location/of/auctex.el" nil t t)
>
> IIRC you don't need to set any other variables in order to get it
> runnig.  Can you give a it roll and open your .tex file again?
>
> Best, Arash
>